# Return email account's BoxTrapper configuration

This function retrieves an account's BoxTrapper configuration.

Important:

  When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /BoxTrapper/get_configuration
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The account's email address.

Warning:

If you call this function in Webmail, the system ignores this parameter and defaults to the currently-authenticated email address.
    Example: "user@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_configuration"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (object)

  - `result.data.enable_auto_whitelist` (integer)
    Whether whitelisting is enabled.
* 1 - Enabled.
* 0 - Disabled.
    Enum: 0, 1

  - `result.data.from_addresses` (string)
    The email addresses that send emails from the account. A comma-separated list of email addresses.
    Example: "user@example.com,user2@example.com"

  - `result.data.from_name` (string)
    The name of the person who owns the email account.
    Example: "User"

  - `result.data.queue_days` (integer)
    The number of days that the system retains log files and queued messages.
    Example: 14

  - `result.data.spam_score` (number)
    The account's [Apache SpamAssassin](https://go.cpanel.net/cpaneldocsSpamFilters) threshold score.
    Example: 2.5

  - `result.data.whitelist_by_association` (integer)
    Whether the system whitelisted the email addresses in a message's To and From sections, including carbon-copied (CC) recipients.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


